unit dMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  cxCPU2, StdCtrls, ExtCtrls, ComCtrls, ShellAPI;

type
  TdlgDemo = class(TForm)
    pagMain: TPageControl;
    btnExit: TButton;
    tabAbout: TTabSheet;
    tabDetails: TTabSheet;
    Label2: TLabel;
    Panel1: TPanel;
    Label3: TLabel;
    Image1: TImage;
    lblPrimary: TLabel;
    Label1: TLabel;
    Label4: TLabel;
    Bevel1: TBevel;
    Bevel2: TBevel;
    lblVendor: TLabel;
    lblType: TLabel;
    lblFamily: TLabel;
    lblModel: TLabel;
    lblStepping: TLabel;
    lblModelName: TLabel;
    lblMMX: TLabel;
    lblSpeed: TLabel;
    Label5: TLabel;
    StaticText1: TStaticText;
    Image2: TImage;
    Label6: TLabel;
    Label7: TLabel;
    cxCPU1: TcxCPU;
    procedure evInit_Demo(Sender: TObject);
    procedure evCloseDemo(Sender: TObject);
    procedure evVisitCarbonSoft(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  dlgDemo: TdlgDemo;

implementation

{$R *.DFM}

procedure TdlgDemo.evInit_Demo(Sender: TObject);
// Fills in the demo blanks
begin
  // Start on first page
  pagMain.ActivePage := tabAbout;
  with cxCPU1 do begin
    // Pimary detection
    lblPrimary.Caption := Format(lblPrimary.Caption, [FullName]);
    // Detected Information
    with cxCPUInfo do begin
      lblType.Caption := Format(lblType.Caption, [IntToStr(cpuType)]);
      lblFamily.Caption := Format(lblFamily.Caption, [IntToStr(cpuFamily)]);
      lblModel.Caption := Format(lblModel.Caption, [IntToStr(cpuModel)]);
      lblStepping.Caption := Format(lblStepping.Caption, [IntToStr(cpuStepping)]);
    end;
    // Identified information
    lblVendor.Caption := Format(lblVendor.Caption, [Vendor]);
    lblModelName.Caption := Format(lblModelName.Caption, [CPU]);
    if (MMX) then  lblMMX.Caption := Format(lblMMX.Caption, ['Yes'])
      else lblMMX.Caption := Format(lblMMX.Caption, ['No']);
    // Benchmark the CPU
    cx_BenchCPU;
    lblSpeed.Caption := Format(lblSpeed.Caption, [IntToStr(Speed)]);
  end;
end;

procedure TdlgDemo.evCloseDemo(Sender: TObject);
begin
  Close;
end;

procedure TdlgDemo.evVisitCarbonSoft(Sender: TObject);
// Starts default browser and visits carbonsoft online
begin
  ShellExecute(Self.Handle, 'open', 'http://www.carbonsoft.demon.co.uk/delphi/index.html',
               nil, nil, SW_SHOW);
end;

end.
